﻿Public Class Main
    Private Sub fix_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles fix.Click
        Try
            Dim info As String = scriptparser.RunScript(engine.Text, scriptparser.Changes)
            If Me.info.Checked Then
                Information.info = info
                Information.ShowDialog()
            End If
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles b_script_btn.Click
        browsesc_dlg.ShowDialog()
        script.Text = browsesc_dlg.FileName
    End Sub
    Private Sub b_engine_btn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles b_engine_btn.Click
        browseen_dlg.ShowDialog()
        engine.Text = browseen_dlg.FileName

    End Sub

    Private Sub script_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles script.TextChanged
        If IO.File.Exists(script.Text) Then
            Dim info As String = scriptparser.LoadScript(script.Text)
            If info.Length > 0 Then
                MsgBox(info)
            Else
                changelist.Items.Clear()
                Dim lastname As String = ""
                For Each a As Change In scriptparser.Changes
                    If Not a.Name = lastname Then
                        changelist.Items.Add(a.Name, True)
                        lastname = a.Name
                    End If
                Next
            End If
        End If
    End Sub

    Private Sub changelist_ItemCheck(ByVal sender As Object, ByVal e As System.Windows.Forms.ItemCheckEventArgs) Handles changelist.ItemCheck
        If e.NewValue = CheckState.Checked Then
            scriptparser.Allow.Add(changelist.Items(e.Index))
        Else
            scriptparser.Allow.Remove(changelist.Items(e.Index))
        End If
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        script.Text = "NCPM.txt"
        engine.Text = "engine.dll"
    End Sub

    Private Sub mem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mem.Click
        If Not SelectProcess.ProcessID > 0 Then
            SelectProcess.ShowDialog()
        End If
        If Not SelectProcess.ProcessID = 0 Then
            Try
                Dim info As String = scriptparser.RunScriptMemory(SelectProcess.ProcessID, scriptparser.Changes)
                If Me.info.Checked Then
                    Information.info = info
                    Information.ShowDialog()
                End If
            Catch ex As Exception
                MsgBox(ex.Message)
            End Try
        End If
    End Sub

    Private Sub Button1_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim count As Integer = 0
        While count < changelist.Items.Count
            changelist.SetItemChecked(count, True)
            count += 1
        End While
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Dim count As Integer = 0
        While count < changelist.Items.Count
            changelist.SetItemChecked(count, False)
            count += 1
        End While
    End Sub

    Private Sub reverse_CheckedChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles reverse.CheckedChanged
        scriptparser.Reverse = reverse.Checked
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        SelectProcess.ProcessID = 0
    End Sub
End Class
